| QxOrm 1.2.3 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes
qx::memory::bool_array::_Element Class Reference

List of all members.

## Public Member Functions
| _Element (BYTE *__ptr, unsigned long __idx)
bool | operator= (bool ___value)
| operator bool () const
## Private Attributes
BYTE * | _M_byte_ptr
size_t | _M_byte_idx
size_t | _M_bit_idx

## Detailed Description

Class to represent a reference to an array element.

Definition at line 82 of file bool_array.h.

## Constructor & Destructor Documentation

qx::memory::bool_array::_Element::_Element | ( | BYTE * | __ptr,
|  | unsigned long | __idx
| ) |  | `[inline]`

Constructs a reference to an array element.

Parameters:

  __ptr | pointer to the interal boolean data
  __idx | index of the array element to access

Definition at line 128 of file bool_array.h.

## Member Function Documentation

qx::memory::bool_array::_Element::operator bool | ( |  | ) | const`[inline]`

Reads the boolean value from an array element.

Returns:
  the boolean value of the accessed array element

Definition at line 155 of file bool_array.h.

bool qx::memory::bool_array::_Element::operator= | ( | bool | ___value | ) | `[inline]`

Assigns a new boolean value to an array element.

Parameters:

  ___value | the new boolean value

Returns:
  the assigned boolean value

Definition at line 141 of file bool_array.h.

## Member Data Documentation

size_t qx::memory::bool_array::_Element::_M_bit_idx`[private]`

Definition at line 91 of file bool_array.h.

size_t qx::memory::bool_array::_Element::_M_byte_idx`[private]`

Definition at line 90 of file bool_array.h.

BYTE* qx::memory::bool_array::_Element::_M_byte_ptr`[private]`

Definition at line 89 of file bool_array.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxMemLeak/bool_array.h